/* Generated by make-libxfce4ui-alias.pl. Do not edit this file. */

#ifdef HAVE_GNUC_VISIBILITY

#include <glib.h>

#ifdef __LIBXFCE4UI_CONFIG_H__
#if 1
extern __typeof (libxfce4ui_check_version) IA__libxfce4ui_check_version __attribute((visibility("hidden")));
#define libxfce4ui_check_version IA__libxfce4ui_check_version

#endif
#endif
#ifdef __LIBXFCE4UI_ENUM_TYPES_H__
#if 1
extern __typeof (xfce_sm_client_error_enum_get_type) IA__xfce_sm_client_error_enum_get_type __attribute((visibility("hidden")));
#define xfce_sm_client_error_enum_get_type IA__xfce_sm_client_error_enum_get_type

extern __typeof (xfce_sm_client_restart_style_get_type) IA__xfce_sm_client_restart_style_get_type __attribute((visibility("hidden")));
#define xfce_sm_client_restart_style_get_type IA__xfce_sm_client_restart_style_get_type

extern __typeof (xfce_sm_client_shutdown_hint_get_type) IA__xfce_sm_client_shutdown_hint_get_type __attribute((visibility("hidden")));
#define xfce_sm_client_shutdown_hint_get_type IA__xfce_sm_client_shutdown_hint_get_type

#endif
#endif
#ifdef __XFCE_DIALOGS_H__
#if 1
extern __typeof (xfce_dialog_show_help) IA__xfce_dialog_show_help __attribute((visibility("hidden")));
#define xfce_dialog_show_help IA__xfce_dialog_show_help

extern __typeof (xfce_dialog_show_help_with_version) IA__xfce_dialog_show_help_with_version __attribute((visibility("hidden")));
#define xfce_dialog_show_help_with_version IA__xfce_dialog_show_help_with_version

extern __typeof (xfce_dialog_show_info) IA__xfce_dialog_show_info __attribute((visibility("hidden"))) G_GNUC_PRINTF (3, 4);
#define xfce_dialog_show_info IA__xfce_dialog_show_info

extern __typeof (xfce_dialog_show_warning) IA__xfce_dialog_show_warning __attribute((visibility("hidden"))) G_GNUC_PRINTF (3, 4);
#define xfce_dialog_show_warning IA__xfce_dialog_show_warning

extern __typeof (xfce_dialog_show_error) IA__xfce_dialog_show_error __attribute((visibility("hidden"))) G_GNUC_PRINTF (3, 4);
#define xfce_dialog_show_error IA__xfce_dialog_show_error

extern __typeof (xfce_dialog_confirm) IA__xfce_dialog_confirm __attribute((visibility("hidden"))) G_GNUC_PRINTF (5, 6);
#define xfce_dialog_confirm IA__xfce_dialog_confirm

extern __typeof (xfce_dialog_confirm_close_tabs) IA__xfce_dialog_confirm_close_tabs __attribute((visibility("hidden")));
#define xfce_dialog_confirm_close_tabs IA__xfce_dialog_confirm_close_tabs

extern __typeof (xfce_message_dialog_new) IA__xfce_message_dialog_new __attribute((visibility("hidden"))) G_GNUC_NULL_TERMINATED G_GNUC_MALLOC;
#define xfce_message_dialog_new IA__xfce_message_dialog_new

extern __typeof (xfce_message_dialog_new_valist) IA__xfce_message_dialog_new_valist __attribute((visibility("hidden"))) G_GNUC_MALLOC;
#define xfce_message_dialog_new_valist IA__xfce_message_dialog_new_valist

extern __typeof (xfce_message_dialog) IA__xfce_message_dialog __attribute((visibility("hidden"))) G_GNUC_NULL_TERMINATED;
#define xfce_message_dialog IA__xfce_message_dialog

#endif
#endif
#ifdef __XFCE_GDK_EXTENSIONS_H__
#if 1
extern __typeof (xfce_gdk_screen_get_active) IA__xfce_gdk_screen_get_active __attribute((visibility("hidden")));
#define xfce_gdk_screen_get_active IA__xfce_gdk_screen_get_active

extern __typeof (xfce_gdk_screen_get_geometry) IA__xfce_gdk_screen_get_geometry __attribute((visibility("hidden")));
#define xfce_gdk_screen_get_geometry IA__xfce_gdk_screen_get_geometry

extern __typeof (xfce_gdk_device_grab) IA__xfce_gdk_device_grab __attribute((visibility("hidden")));
#define xfce_gdk_device_grab IA__xfce_gdk_device_grab

#endif
#endif
#ifdef __XFCE_GTK_EXTENSIONS_H__
#if 1
extern __typeof (xfce_gtk_menu_item_new) IA__xfce_gtk_menu_item_new __attribute((visibility("hidden")));
#define xfce_gtk_menu_item_new IA__xfce_gtk_menu_item_new

extern __typeof (xfce_gtk_image_menu_item_new) IA__xfce_gtk_image_menu_item_new __attribute((visibility("hidden")));
#define xfce_gtk_image_menu_item_new IA__xfce_gtk_image_menu_item_new

extern __typeof (xfce_gtk_image_menu_item_new_from_icon_name) IA__xfce_gtk_image_menu_item_new_from_icon_name __attribute((visibility("hidden")));
#define xfce_gtk_image_menu_item_new_from_icon_name IA__xfce_gtk_image_menu_item_new_from_icon_name

extern __typeof (xfce_gtk_check_menu_item_new) IA__xfce_gtk_check_menu_item_new __attribute((visibility("hidden")));
#define xfce_gtk_check_menu_item_new IA__xfce_gtk_check_menu_item_new

extern __typeof (xfce_gtk_radio_menu_item_new) IA__xfce_gtk_radio_menu_item_new __attribute((visibility("hidden")));
#define xfce_gtk_radio_menu_item_new IA__xfce_gtk_radio_menu_item_new

extern __typeof (xfce_gtk_menu_item_new_from_action_entry) IA__xfce_gtk_menu_item_new_from_action_entry __attribute((visibility("hidden")));
#define xfce_gtk_menu_item_new_from_action_entry IA__xfce_gtk_menu_item_new_from_action_entry

extern __typeof (xfce_gtk_toggle_menu_item_new_from_action_entry) IA__xfce_gtk_toggle_menu_item_new_from_action_entry __attribute((visibility("hidden")));
#define xfce_gtk_toggle_menu_item_new_from_action_entry IA__xfce_gtk_toggle_menu_item_new_from_action_entry

extern __typeof (xfce_gtk_tool_button_new_from_action_entry) IA__xfce_gtk_tool_button_new_from_action_entry __attribute((visibility("hidden")));
#define xfce_gtk_tool_button_new_from_action_entry IA__xfce_gtk_tool_button_new_from_action_entry

extern __typeof (xfce_gtk_accel_map_add_entries) IA__xfce_gtk_accel_map_add_entries __attribute((visibility("hidden")));
#define xfce_gtk_accel_map_add_entries IA__xfce_gtk_accel_map_add_entries

extern __typeof (xfce_gtk_accel_group_connect_action_entries) IA__xfce_gtk_accel_group_connect_action_entries __attribute((visibility("hidden")));
#define xfce_gtk_accel_group_connect_action_entries IA__xfce_gtk_accel_group_connect_action_entries

extern __typeof (xfce_gtk_accel_group_disconnect_action_entries) IA__xfce_gtk_accel_group_disconnect_action_entries __attribute((visibility("hidden")));
#define xfce_gtk_accel_group_disconnect_action_entries IA__xfce_gtk_accel_group_disconnect_action_entries

extern __typeof (xfce_gtk_get_action_entry_by_id) IA__xfce_gtk_get_action_entry_by_id __attribute((visibility("hidden")));
#define xfce_gtk_get_action_entry_by_id IA__xfce_gtk_get_action_entry_by_id

extern __typeof (xfce_gtk_translate_action_entries) IA__xfce_gtk_translate_action_entries __attribute((visibility("hidden")));
#define xfce_gtk_translate_action_entries IA__xfce_gtk_translate_action_entries

extern __typeof (xfce_gtk_handle_tab_accels) IA__xfce_gtk_handle_tab_accels __attribute((visibility("hidden")));
#define xfce_gtk_handle_tab_accels IA__xfce_gtk_handle_tab_accels

extern __typeof (xfce_gtk_execute_tab_accel) IA__xfce_gtk_execute_tab_accel __attribute((visibility("hidden")));
#define xfce_gtk_execute_tab_accel IA__xfce_gtk_execute_tab_accel

extern __typeof (xfce_gtk_menu_append_seperator) IA__xfce_gtk_menu_append_seperator __attribute((visibility("hidden")));
#define xfce_gtk_menu_append_seperator IA__xfce_gtk_menu_append_seperator

extern __typeof (xfce_gtk_button_new_mixed) IA__xfce_gtk_button_new_mixed __attribute((visibility("hidden"))) G_GNUC_MALLOC;
#define xfce_gtk_button_new_mixed IA__xfce_gtk_button_new_mixed

extern __typeof (xfce_gtk_frame_box_new) IA__xfce_gtk_frame_box_new __attribute((visibility("hidden"))) G_GNUC_MALLOC;
#define xfce_gtk_frame_box_new IA__xfce_gtk_frame_box_new

extern __typeof (xfce_gtk_frame_box_new_with_content) IA__xfce_gtk_frame_box_new_with_content __attribute((visibility("hidden"))) G_GNUC_MALLOC;
#define xfce_gtk_frame_box_new_with_content IA__xfce_gtk_frame_box_new_with_content

extern __typeof (xfce_gtk_window_center_on_active_screen) IA__xfce_gtk_window_center_on_active_screen __attribute((visibility("hidden")));
#define xfce_gtk_window_center_on_active_screen IA__xfce_gtk_window_center_on_active_screen

extern __typeof (xfce_gtk_menu_popup_until_mapped) IA__xfce_gtk_menu_popup_until_mapped __attribute((visibility("hidden")));
#define xfce_gtk_menu_popup_until_mapped IA__xfce_gtk_menu_popup_until_mapped

extern __typeof (xfce_widget_reparent) IA__xfce_widget_reparent __attribute((visibility("hidden")));
#define xfce_widget_reparent IA__xfce_widget_reparent

extern __typeof (xfce_icon_name_from_desktop_id) IA__xfce_icon_name_from_desktop_id __attribute((visibility("hidden")));
#define xfce_icon_name_from_desktop_id IA__xfce_icon_name_from_desktop_id

extern __typeof (xfce_gicon_from_name) IA__xfce_gicon_from_name __attribute((visibility("hidden")));
#define xfce_gicon_from_name IA__xfce_gicon_from_name

extern __typeof (xfce_gtk_menu_item_set_accel_label) IA__xfce_gtk_menu_item_set_accel_label __attribute((visibility("hidden")));
#define xfce_gtk_menu_item_set_accel_label IA__xfce_gtk_menu_item_set_accel_label

extern __typeof (xfce_has_gtk_frame_extents) IA__xfce_has_gtk_frame_extents __attribute((visibility("hidden")));
#define xfce_has_gtk_frame_extents IA__xfce_has_gtk_frame_extents

extern __typeof (xfce_gtk_label_set_a11y_relation) IA__xfce_gtk_label_set_a11y_relation __attribute((visibility("hidden")));
#define xfce_gtk_label_set_a11y_relation IA__xfce_gtk_label_set_a11y_relation

#endif
#endif
#ifdef __XFCE_SPAWN_H__
#if 1
extern __typeof (xfce_spawn_on_screen_with_child_watch) IA__xfce_spawn_on_screen_with_child_watch __attribute((visibility("hidden")));
#define xfce_spawn_on_screen_with_child_watch IA__xfce_spawn_on_screen_with_child_watch

extern __typeof (xfce_spawn_on_screen) IA__xfce_spawn_on_screen __attribute((visibility("hidden")));
#define xfce_spawn_on_screen IA__xfce_spawn_on_screen

extern __typeof (xfce_spawn) IA__xfce_spawn __attribute((visibility("hidden")));
#define xfce_spawn IA__xfce_spawn

extern __typeof (xfce_spawn_command_line_on_screen) IA__xfce_spawn_command_line_on_screen __attribute((visibility("hidden")));
#define xfce_spawn_command_line_on_screen IA__xfce_spawn_command_line_on_screen

extern __typeof (xfce_spawn_command_line) IA__xfce_spawn_command_line __attribute((visibility("hidden")));
#define xfce_spawn_command_line IA__xfce_spawn_command_line

#endif
#endif
#ifdef __XFCE_FILENAME_INPUT_H__
#if 1
extern __typeof (xfce_filename_input_get_type) IA__xfce_filename_input_get_type __attribute((visibility("hidden")));
#define xfce_filename_input_get_type IA__xfce_filename_input_get_type

extern __typeof (xfce_filename_input_get_text) IA__xfce_filename_input_get_text __attribute((visibility("hidden")));
#define xfce_filename_input_get_text IA__xfce_filename_input_get_text

extern __typeof (xfce_filename_input_check) IA__xfce_filename_input_check __attribute((visibility("hidden")));
#define xfce_filename_input_check IA__xfce_filename_input_check

extern __typeof (xfce_filename_input_get_entry) IA__xfce_filename_input_get_entry __attribute((visibility("hidden")));
#define xfce_filename_input_get_entry IA__xfce_filename_input_get_entry

extern __typeof (xfce_filename_input_sensitise_widget) IA__xfce_filename_input_sensitise_widget __attribute((visibility("hidden")));
#define xfce_filename_input_sensitise_widget IA__xfce_filename_input_sensitise_widget

extern __typeof (xfce_filename_input_desensitise_widget) IA__xfce_filename_input_desensitise_widget __attribute((visibility("hidden")));
#define xfce_filename_input_desensitise_widget IA__xfce_filename_input_desensitise_widget

#endif
#endif
#ifdef __XFCE_SM_CLIENT_H__
#if 1
extern __typeof (xfce_sm_client_get_type) IA__xfce_sm_client_get_type __attribute((visibility("hidden")));
#define xfce_sm_client_get_type IA__xfce_sm_client_get_type

extern __typeof (xfce_sm_client_get_option_group) IA__xfce_sm_client_get_option_group __attribute((visibility("hidden")));
#define xfce_sm_client_get_option_group IA__xfce_sm_client_get_option_group

extern __typeof (xfce_sm_client_get) IA__xfce_sm_client_get __attribute((visibility("hidden")));
#define xfce_sm_client_get IA__xfce_sm_client_get

extern __typeof (xfce_sm_client_get_with_argv) IA__xfce_sm_client_get_with_argv __attribute((visibility("hidden")));
#define xfce_sm_client_get_with_argv IA__xfce_sm_client_get_with_argv

extern __typeof (xfce_sm_client_get_full) IA__xfce_sm_client_get_full __attribute((visibility("hidden")));
#define xfce_sm_client_get_full IA__xfce_sm_client_get_full

extern __typeof (xfce_sm_client_connect) IA__xfce_sm_client_connect __attribute((visibility("hidden")));
#define xfce_sm_client_connect IA__xfce_sm_client_connect

extern __typeof (xfce_sm_client_disconnect) IA__xfce_sm_client_disconnect __attribute((visibility("hidden")));
#define xfce_sm_client_disconnect IA__xfce_sm_client_disconnect

extern __typeof (xfce_sm_client_error_quark) IA__xfce_sm_client_error_quark __attribute((visibility("hidden")));
#define xfce_sm_client_error_quark IA__xfce_sm_client_error_quark

extern __typeof (xfce_sm_client_is_connected) IA__xfce_sm_client_is_connected __attribute((visibility("hidden")));
#define xfce_sm_client_is_connected IA__xfce_sm_client_is_connected

extern __typeof (xfce_sm_client_is_resumed) IA__xfce_sm_client_is_resumed __attribute((visibility("hidden")));
#define xfce_sm_client_is_resumed IA__xfce_sm_client_is_resumed

extern __typeof (xfce_sm_client_set_desktop_file) IA__xfce_sm_client_set_desktop_file __attribute((visibility("hidden")));
#define xfce_sm_client_set_desktop_file IA__xfce_sm_client_set_desktop_file

extern __typeof (xfce_sm_client_request_shutdown) IA__xfce_sm_client_request_shutdown __attribute((visibility("hidden")));
#define xfce_sm_client_request_shutdown IA__xfce_sm_client_request_shutdown

extern __typeof (xfce_sm_client_get_client_id) IA__xfce_sm_client_get_client_id __attribute((visibility("hidden")));
#define xfce_sm_client_get_client_id IA__xfce_sm_client_get_client_id

extern __typeof (xfce_sm_client_get_state_file) IA__xfce_sm_client_get_state_file __attribute((visibility("hidden")));
#define xfce_sm_client_get_state_file IA__xfce_sm_client_get_state_file

extern __typeof (xfce_sm_client_set_restart_style) IA__xfce_sm_client_set_restart_style __attribute((visibility("hidden")));
#define xfce_sm_client_set_restart_style IA__xfce_sm_client_set_restart_style

extern __typeof (xfce_sm_client_get_restart_style) IA__xfce_sm_client_get_restart_style __attribute((visibility("hidden")));
#define xfce_sm_client_get_restart_style IA__xfce_sm_client_get_restart_style

extern __typeof (xfce_sm_client_set_priority) IA__xfce_sm_client_set_priority __attribute((visibility("hidden")));
#define xfce_sm_client_set_priority IA__xfce_sm_client_set_priority

extern __typeof (xfce_sm_client_get_priority) IA__xfce_sm_client_get_priority __attribute((visibility("hidden")));
#define xfce_sm_client_get_priority IA__xfce_sm_client_get_priority

extern __typeof (xfce_sm_client_set_restart_command) IA__xfce_sm_client_set_restart_command __attribute((visibility("hidden")));
#define xfce_sm_client_set_restart_command IA__xfce_sm_client_set_restart_command

extern __typeof (xfce_sm_client_get_restart_command) IA__xfce_sm_client_get_restart_command __attribute((visibility("hidden")));
#define xfce_sm_client_get_restart_command IA__xfce_sm_client_get_restart_command

extern __typeof (xfce_sm_client_set_current_directory) IA__xfce_sm_client_set_current_directory __attribute((visibility("hidden")));
#define xfce_sm_client_set_current_directory IA__xfce_sm_client_set_current_directory

extern __typeof (xfce_sm_client_get_current_directory) IA__xfce_sm_client_get_current_directory __attribute((visibility("hidden")));
#define xfce_sm_client_get_current_directory IA__xfce_sm_client_get_current_directory

#endif
#endif
#ifdef __XFCE_TITLED_DIALOG_H__
#if 1
extern __typeof (xfce_titled_dialog_get_type) IA__xfce_titled_dialog_get_type __attribute((visibility("hidden"))) G_GNUC_CONST;
#define xfce_titled_dialog_get_type IA__xfce_titled_dialog_get_type

extern __typeof (xfce_titled_dialog_new) IA__xfce_titled_dialog_new __attribute((visibility("hidden"))) G_GNUC_MALLOC;
#define xfce_titled_dialog_new IA__xfce_titled_dialog_new

extern __typeof (xfce_titled_dialog_new_with_buttons) IA__xfce_titled_dialog_new_with_buttons __attribute((visibility("hidden"))) G_GNUC_MALLOC;
#define xfce_titled_dialog_new_with_buttons IA__xfce_titled_dialog_new_with_buttons

extern __typeof (xfce_titled_dialog_new_with_mixed_buttons) IA__xfce_titled_dialog_new_with_mixed_buttons __attribute((visibility("hidden"))) G_GNUC_MALLOC;
#define xfce_titled_dialog_new_with_mixed_buttons IA__xfce_titled_dialog_new_with_mixed_buttons

extern __typeof (xfce_titled_dialog_get_subtitle) IA__xfce_titled_dialog_get_subtitle __attribute((visibility("hidden")));
#define xfce_titled_dialog_get_subtitle IA__xfce_titled_dialog_get_subtitle

extern __typeof (xfce_titled_dialog_set_subtitle) IA__xfce_titled_dialog_set_subtitle __attribute((visibility("hidden")));
#define xfce_titled_dialog_set_subtitle IA__xfce_titled_dialog_set_subtitle

extern __typeof (xfce_titled_dialog_create_action_area) IA__xfce_titled_dialog_create_action_area __attribute((visibility("hidden")));
#define xfce_titled_dialog_create_action_area IA__xfce_titled_dialog_create_action_area

extern __typeof (xfce_titled_dialog_add_button) IA__xfce_titled_dialog_add_button __attribute((visibility("hidden")));
#define xfce_titled_dialog_add_button IA__xfce_titled_dialog_add_button

extern __typeof (xfce_titled_dialog_add_action_widget) IA__xfce_titled_dialog_add_action_widget __attribute((visibility("hidden")));
#define xfce_titled_dialog_add_action_widget IA__xfce_titled_dialog_add_action_widget

extern __typeof (xfce_titled_dialog_set_default_response) IA__xfce_titled_dialog_set_default_response __attribute((visibility("hidden")));
#define xfce_titled_dialog_set_default_response IA__xfce_titled_dialog_set_default_response

#endif
#endif

#endif /* HAVE_GNUC_VISIBILITY */
